
Member Nodes - Task #2611

MNDeployment # 2564 (Deprecated): ORNL DAAC

mercury ornldaac /object error

2012-04-16 20:32 - Rob Nahf

Status: Closed Start date: 2013-02-18

Priority: High Due date:  

Assignee: Giri Palanisamy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

When doing an object get()   (GET /object/{pid})  the server returns a service failure with the following:

Internal Server Error

gov.ornl.mercury3.commands.Configuration cannot be cast to gov.mercury3.memberNode.resource.Configuration

You can get technical details here.

Please continue your visit at our home page.

 

/meta/{pid}, /checksum/{pid}   and /object (listObjects)  all work.

An example:  http://mercury.ornl.gov/ornldaac/mn/v1/object/ornldaac_420.xml

History

#1 - 2013-01-30 20:23 - John Cobb

- Target version set to Operational

#2 - 2013-01-30 20:23 - John Cobb

- Project changed from Infrastructure to Member Nodes

- Category deleted (mn.Mercury)

- Start date deleted (2012-04-16)

- Parent task set to #2564

- translation missing: en.field_remaining_hours set to 0.0

#3 - 2013-02-18 18:00 - Rob Nahf

- Status changed from New to In Progress

- Start date set to 2013-02-18

- Estimated time set to 0.00

seems to be fixed?

#4 - 2013-02-18 18:14 - Rob Nahf

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

can't replicate error, so assuming it's fixed.
